﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ReportLargeAmountOfData.ViewModel
{
    public class ReportViewModel : IReport
    {
        public ReportViewModel()
        {
            BussinessObjects = new Dictionary<string, object>();
            Parameters = new Dictionary<string, object>();
            
            var nodes = new List<object>();
            for (int i = 0; i < 10000; i++)
                nodes.Add(new { NodeName = "A", ParentName = "B", StatusText = i.ToString()});

            BussinessObjects.Add("FilteredNodes", nodes);
            ReportText = "TestReport";
            ReportUri = @".\Reports\TestReport.mrt";
        }

        public IDictionary<string, object> BussinessObjects { get; private set; }

        public IDictionary<string, object> Parameters { get; private set; }

        public string ReportText { get; private set; }

        public string ReportUri { get; private set; }
    }
}
